[data-space-before="none"] {
    padding-block-start: 0 !important;
}

[data-space-before="extra-small"] {
    padding-block-start: 0.75rem !important;
}

[data-space-before="small"] {
    padding-block-start: 1.5rem !important;
}

[data-space-before="medium"] {
    padding-block-start: 3rem !important;
}

[data-space-before="large"] {
    padding-block-start: 6rem !important;
}

[data-space-after="none"] {
    padding-block-end: 0 !important;
}

[data-space-after="extra-small"] {
    padding-block-end: 0.75rem !important;
}

[data-space-after="small"] {
    padding-block-end: 1.5rem !important;
}

[data-space-after="medium"] {
    padding-block-end: 3rem !important;
}

[data-space-after="large"] {
    padding-block-end: 6rem !important;
}

.component {
    --grid-columns: 12;
    --grid-padding: 2rem;
    --max-content-width: 1290px;
    display: grid;
    grid-template-columns:
        minmax(var(--grid-padding), 1fr) repeat(
            var(--grid-columns),
            minmax(0, calc(var(--max-content-width) / var(--grid-columns)))
        )
        minmax(var(--grid-padding), 1fr);

    padding-block: 3rem;
}

.teaserimage--2 .component__content {
    grid-column: 2 / -2;

    position: relative;
}

.teaserimage--2 .swiper-slide {
    align-self: stretch;
    height: auto;
}

.teaserimage--2 .teaserimage__item {
    --clr-tertiary-10: #f4f4f4;
    height: 100%;
    background-color: var(--clr-tertiary-10);
    transform: scale(0.9);
    transition: 600ms;
}

.teaserimage--2 .swiper-slide-active .teaserimage__item {
    transform: scale(1);
}

.teaserimage--2 .teaserimage__image {
    grid-column: 1 / 2;
    grid-row: 1 / span 4;
}

.teaserimage--2 .teaserimage__title,
.teaserimage--2 .teaserimage__text {
    grid-column: 2 / -1;
    padding-inline: 2.75rem;
}

.teaserimage--2 .teaserimage__title {
    font-family: var(--ff-heading);
    font-weight: 700;
    font-size: clamp(2.125rem, 2.374vw + 1.645rem, 4rem);
    line-height: clamp(2.5rem, 2.374vw + 1.645rem, 4rem);
    color: var(--clr-secondary);
    padding-block-start: 2.75rem;
}

.teaserimage--2 .teaserimage__title p {
    font-family: var(--ff-heading);
    font-weight: var(--fw-regular);
    font-size: 1.75rem;
    line-height: 2rem;
    color: var(--clr-tertiary);
    text-transform: uppercase;
}

.teaserimage--2 .teaserimage__text {
    font-size: clamp(0.8889rem, calc(0.8164rem + 0.3342vw), 1.1111rem);
    padding-block-start: 1rem;
}

.teaserimage--2 .teaserimage__image > * {
    position: relative;
    width: 100%;
    height: 100%;
    display: block;
    aspect-ratio: 3 / 2;
    object-fit: cover;
    background-color: var(--clr-tertiary);
}

.teaserimage--2 .teaserimage__text > * + * {
    margin-block-start: 1em;
}

.teaserimage--2 .teaserimage__link {
    display: inline-flex;
    align-items: center;
    gap: 0.5rem;
    padding-inline: 1.375rem;
    padding-block: 0.75rem;
    color: #333;
    background-color: #fc0;
    text-transform: uppercase;
    text-decoration: none;
    text-align: center;
    font-weight: 700;
    transition:
        gap 400ms ease,
        color 400ms ease,
        background-color 400ms ease,
        border 400ms ease;
}

.teaserimage--2 .teaserimage__link:hover {
    color: #fff;
    background-color: #333;
}

.teaserimage--2 .swiper-wrapper {
    margin-block-start: 3rem;
}

.teaserimage--2 .swiper-button-prev,
.teaserimage--2 .swiper-button-next {
    --swiper-theme-color: #fff;
    --swiper-navigation-size: 2rem;

    top: 0;
    bottom: auto;

    width: var(--swiper-navigation-size);
    height: var(--swiper-navigation-size);
    margin-top: unset;
    background-color: #fc0;

    transition:
        color 600ms ease,
        background-color 600ms ease;
}

.teaserimage--2 .swiper-button-prev {
    left: auto;
    right: 2rem;
}

.teaserimage--2 .swiper-button-next {
    right: 0;
}

.teaserimage--2 .swiper-button-next:after,
.teaserimage--2 .swiper-button-prev:after {
    font-size: 1.25rem;
}

.teaserimage--2 .swiper-button-prev:hover,
.teaserimage--2 .swiper-button-next:hover {
    --swiper-theme-color: #fff;
    background-color: #333;
}

.teaserimage--2 .swiper-horizontal > .swiper-pagination-bullets,
.teaserimage--2 .swiper-pagination-bullets.swiper-pagination-horizontal,
.teaserimage--2 .swiper-pagination-custom,
.teaserimage--2 .swiper-pagination-fraction {
    bottom: auto;
    top: 0;
}

.teaserimage--2 .swiper-pagination {
    display: flex;
    gap: 0.25rem;
    text-align: left;
}

.teaserimage--2
    .swiper-horizontal
    > .swiper-pagination-bullets
    .swiper-pagination-bullet,
.teaserimage--2
    .swiper-pagination-horizontal.swiper-pagination-bullets
    .swiper-pagination-bullet {
    margin: unset;
    height: auto;
}

.teaserimage--2 .swiper-pagination-bullet {
    --swiper-pagination-bullet-width: 100%;
    --swiper-pagination-bullet-height: 6px;
    --swiper-pagination-bullet-border-radius: 0;
    --swiper-pagination-color: transparent;
    --swiper-pagination-bullet-inactive-opacity: 1;
    --swiper-pagination-bullet-inactive-color: transparent;

    font-weight: 700;
    color: #333;
    text-transform: uppercase;
}

.teaserimage--2 .swiper-pagination-bullet::after {
    --swiper-pagination-bullet-inactive-color: #f4f4f4;
    content: "";
    display: block;
    width: var(--swiper-pagination-bullet-width);
    height: var(--swiper-pagination-bullet-height);
    background: var(--swiper-pagination-bullet-inactive-color);
}

.teaserimage--2 .swiper-pagination-bullet-active {
    color: var(--clr-secondary);
}

.teaserimage--2 .swiper-pagination-bullet-active::after {
    --swiper-pagination-bullet-inactive-color: #fc0;
    background: var(--swiper-pagination-bullet-inactive-color);
}

.teaserimage--2 .swiper-pagination {
    position: static;
    overflow-x: auto;
    overflow-y: hidden;
    -webkit-overflow-scrolling: touch;
    scrollbar-width: thin;
}

.teaserimage--2 .swiper-pagination-bullets {
    display: flex;
    gap: 0.25rem;
    flex-wrap: nowrap;
    width: max-content;
    min-width: 100%;
}

.teaserimage--2 .swiper-pagination-bullet {
    flex: 1 0 auto;
    min-width: max-content;
    width: auto;
}

@media (max-width: 1199px) {
    .teaserimage--2 .teaserimage__item {
        display: flex;
        flex-direction: column;
    }
    .teaserimage--2 .teaserimage__text {
        margin-block-end: 2.75rem;
    }
    .teaserimage--2 .teaserimage__link {
        margin-inline: 2.75rem;
        margin-block-start: auto;
        margin-block-end: 2.75rem;
        align-self: flex-start;
    }
    .teaserimage--2 .swiper-pagination-bullet {
        flex: 0 1 calc(100% / var(--p-length, 1));
        transition: flex 600ms ease;
    }
    .teaserimage--2 .swiper-pagination-bullet-active {
        flex: 1 1 100%;
    }
}

@media (max-width: 767px) {
    .teaserimage--2 .teaserimage__title {
        padding-block-start: 3rem;
        padding-inline: 2rem;
    }
    .teaserimage--2 .teaserimage__text {
        padding-inline: 2rem;
    }
    .teaserimage--2 .teaserimage__link {
        margin-inline: 2rem;
        margin-block-end: 3rem;
        align-self: auto;
        justify-content: space-between;
    }
}

@media (max-width: 575px) {
    .teaserimage--2 .teaserimage__title {
        padding-block-start: 2rem;
        padding-inline: 2rem;
    }
    .teaserimage--2 .teaserimage__text {
        padding-inline: 2rem;
    }
    .teaserimage--2 .teaserimage__link {
        margin-inline: 2rem;
        margin-block-end: 2rem;
    }
}

@media (min-width: 1200px) {
    .teaserimage--2 .component__content {
        grid-column: 2 / -1;
    }

    .teaserimage--2 .teaserimage__item {
        display: grid;
        grid-template-columns: 1fr 2fr;
    }

    .teaserimage--2 .teaserimage__item,
    .teaserimage--2 .teaserimage__image {
        height: 624px;
    }

    .teaserimage--2 .teaserimage__image > * {
        aspect-ratio: 3 / 4;
    }

    .teaserimage--2 .teaserimage__link {
        grid-column: 2 / -1;
        position: absolute;
        left: 2.75rem;
        bottom: 2.75rem;
    }

    .teaserimage--2 .swiper-wrapper {
        align-items: center;
    }
    .teaserimage--2 .swiper-button-prev,
    .teaserimage--2 .swiper-button-next {
        --swiper-navigation-size: 4.125rem;
        top: 50%;
        bottom: auto;
    }
    .teaserimage--2 .swiper-button-prev {
        left: 2.5rem;
    }
    .teaserimage--2 .swiper-button-next {
        right: 2.5rem;
    }
    .teaserimage--2 .swiper-button-next:after,
    .teaserimage--2 .swiper-button-prev:after {
        font-size: 1.75rem;
    }
    .teaserimage--2 .teaserimage__items::after {
        content: "";
        display: block;
        position: absolute;
        top: 0;
        bottom: 0;
        right: 0;
        z-index: 1;
        width: 150px;
        height: 100%;
        background: linear-gradient(
            90deg,
            rgba(255, 255, 255, 0) 0%,
            rgba(255, 255, 255, 1) 100%
        );
    }

    .teaserimage--2 .teaserimage__text {
        position: relative;
        overflow-y: auto;
    }
    /*
  .teaserimage--2 .teaserimage__text::after {
    content: '';
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    height: 25%;
    background: linear-gradient(0deg, #f1f5f8 0%, rgba(255, 255, 255, 0) 100%);
  }
  */
    .teaserimage--2 .swiper-pagination-bullets {
        gap: 1.25rem;
    }
}
